corkscrew_2.0-11_amd64.deb


Advertisement

Description

corkscrew - tunnel TCP connections through HTTP proxies

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name corkscrew
Package version 2.0
Package release 11
Package architecture amd64
Package type deb
Installed size 31 B
Download size 10.94 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
corkscrew_2.0-11_i386.deb 2.0 i386 Debian Main
corkscrew - - -

Requires

Name Value
libc6 >= 2.15

Download

Type URL
Binary Package corkscrew_2.0-11_amd64.deb
Source Package corkscrew

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install corkscrew deb package:
    # sudo apt-get install corkscrew

Files

Path
/usr/bin/corkscrew
/usr/share/doc/corkscrew/AUTHORS
/usr/share/doc/corkscrew/README
/usr/share/doc/corkscrew/TODO
/usr/share/doc/corkscrew/changelog.Debian.gz
/usr/share/doc/corkscrew/changelog.gz
/usr/share/doc/corkscrew/copyright
/usr/share/man/man1/corkscrew.1.gz

Changelog

2016-10-18 - Jari Aalto <jari.aalto@cante.net>
corkscrew (2.0-11) unstable; urgency=medium
* debian/copyright
- (Source): Update.
* debian/control
- (Homepage): Update.
- (Standards-Version): Update to 3.9.8.
- (Vcs-*): Update to anonscm.debian.org.
* debian/patches
- (40): Add IPv6 support (Closes: 782751). Patch thanks to
Ard van Breemen <ard@kwaak.net>.
2013-05-23 - Jari Aalto <jari.aalto@cante.net>
corkscrew (2.0-10) unstable; urgency=low
* debian/compat
- Update to 9.
* debian/copyright
- Update year.
* debian/control
- (Build-Depends): Update to debhelper 9.
- (Standards-Version): Update to 3.9.4.
* debian/patches
- (30): New. Support spaces in authentication data. Patch thanks to
Filip Zyzniewski <filip.zyzniewski@sabre.com> (LP: #962921).
* debian/pod2man.mk
- Remove sed, use --release option.
2012-03-22 - Jari Aalto <jari.aalto@cante.net>
corkscrew (2.0-9) unstable; urgency=low
* debian/control
- (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
- (standards-Version): Update to 3.9.3.1.
* debian/copyright
- Update to format 1.0.
* debian/patches
- (20): Refresh. Fix spelling mistake in code.
* debian/rules
- Enable all hardening flags.
- Use DEB_*_MAINT_* variables.
* debian/*.mk
- Minor updates.
2012-02-11 - Jari Aalto <jari.aalto@cante.net>
corkscrew (2.0-8) unstable; urgency=low
* debian/compat
- Update to 9
* debian/control
- (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
* debian/copyright
- Update to DEP5
* debian/rules
- Use hardened CFLAGS.
http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
2010-03-03 - Jari Aalto <jari.aalto@cante.net>
corkscrew (2.0-7) unstable; urgency=medium
* debian/control:
- (Build-Depends): Add autotools-dev for latest config.guess and
config.sub files (FTBFS kfreebsd-*; Closes: #572291).
* debian/debian-autotools.mk
- Add config-prepare macro.
* debian/rules
- (override_dh_auto_configure): use config-prepare to set up
newest config (Closes: #534816).
- (install): In make call, move target call 'install' to the end of
line.
- (MANSECT): remove variable and integrate into 'man' target.
2010-03-03 - Jari Aalto <jari.aalto@cante.net>
corkscrew (2.0-6) unstable; urgency=low
* New maintainer (Closes: #569185).
* Move to packaging format "3.0 (quilt)".
* debian/clean
- New file.
* debian/compat
- New file.
* debian/control
- (Build-Depends): Update to debhelper 7.1
- (Homepage): New.
- (Standards-Version): Update to 3.8.4.
* debian/copyright
- Update layout.
* debian/corkscrew.1
- Delete raw format manual page; change to POD format.
* debian/corkscrew.docs
- New file.
* debian/corkscrew.manpages
- New file.
* debian/corkscrew.pod.1
- New manual page format. corkscrew.1.
* debian/debian-autotools.mk
- New file.
* debian/pod2man.mk
- New file.
* debian/patches
- Convert direct modifications to standard patches.
* debian/rules
- Remove rules handled by standard dh(1).
- (override_dh_auto_configure): Use newest config.* files.
* debian/source/format
- New file.
* debian/watch
- New file.
2005-07-25 - Thomas Seyrat <tomasera@debian.org>
corkscrew (2.0-5) unstable; urgency=low
* Updated config.sub/config.guess (thanks Aurelien Jarno)
(closes: #317321)
* Bumped Standards-Version to 3.6.2
2004-02-29 - Thomas Seyrat <tomasera@debian.org>
corkscrew (2.0-4) unstable; urgency=low
* Applied patch by Frank Kirschner to fix issue when first packet
sent by proxy has both header and beginning of answer
* Included manpage provided by Laurent Fousse (closes: #222038)
* Fixed corkscrew path in README (closes: #219953)
* debian/rules minor changes
* Case adjustment in small description
* Bumped Standards-Version to 3.6.1
2002-09-21 - Thomas Seyrat <tomasera@debian.org>
corkscrew (2.0-3) unstable; urgency=low
* Bumped Standards-Version to 3.5.7.

See Also

Package Description
corosync-dev_2.4.4-3_all.deb cluster engine generic development (transitional package)
corosync-doc_2.4.4-3_all.deb cluster engine HTML documentation
corosync-notifyd_2.4.4-3_amd64.deb cluster engine notification daemon
corosync-qdevice_2.4.4-3_amd64.deb cluster engine quorum device daemon
corosync-qnetd_2.4.4-3_amd64.deb cluster engine quorum device network daemon
corosync_2.4.4-3_amd64.deb cluster engine daemon and utilities
cortado_0.6.0-4_all.deb streaming applet for Ogg formats
cortina_1.1.1-1_amd64.deb Desktop wallpaper management application for GNOME
coturn_4.5.0.7-1_amd64.deb TURN and STUN server for VoIP
couchapp_1.0.2+dfsg1-1_all.deb Standalone CouchDB Application Development Made Simple
courier-authdaemon_0.68.0-4+b1_amd64.deb Courier authentication daemon
courier-authlib-dev_0.68.0-4+b1_amd64.deb Development libraries for the Courier authentication library
courier-authlib-ldap_0.68.0-4+b1_amd64.deb LDAP support for the Courier authentication library
courier-authlib-mysql_0.68.0-4+b1_amd64.deb MySQL support for the Courier authentication library
courier-authlib-pipe_0.68.0-4+b1_amd64.deb External authentication support for the Courier authentication library
Advertisement
Advertisement